Bug 1597246 - [RFE] Remote Execution should provide an option to randomize the execution order
Summary: [RFE] Remote Execution should provide an option to randomize the execution order
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 11:15 UTC by sbadhwar
Modified: 2020-04-14 13:23 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-1.8.3-0
Doc Type: Enhancement
Doc Text:
You can now choose to randomize the order in which remote execution jobs are executed on hosts, helping to reduce the load when running a large number of remote execution jobs on a large number of hosts.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24124 Normal Closed Remote Execution should provide an option to randomize the execution order 2020-08-12 16:49:50 UTC
Red Hat Bugzilla 1627804 medium CLOSED [RFE] Additional options: delay between executions 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:14 UTC

Internal Links: 1627804 1775282

Description sbadhwar 2018-07-02 11:15:09 UTC
Description of problem:
Currently Remote Execution executes on hosts sorted according to their hostnames. The ability to randomize the execution order will be a nice addition to the feature set.

Version-Release number of selected component (if applicable):
Satellite 6.4 Snap 9.0

Comment 1 Adam Ruzicka 2018-07-02 11:19:49 UTC
Created redmine issue http://projects.theforeman.org/issues/24124 from this bug

Comment 2 pm-sat@redhat.com 2018-09-13 12:04:00 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 3 pm-sat@redhat.com 2018-09-13 12:04:04 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 4 Bryan Kearney 2019-08-06 12:02:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24124 has been resolved.

Comment 6 Peter Ondrejka 2020-01-03 14:01:50 UTC
Verified on Sat 6.7 snap 7

Comment 9 errata-xmlrpc 2020-04-14 13:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.